Download it now!
Bug 128758 - Scrollbar in Extension Manager doesn't appear at first
Summary: Scrollbar in Extension Manager doesn't appear at first
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Extension-Manager Scrollbars
  Show dependency treegraph
 
Reported: 2019-11-12 22:22 UTC by Aron Budea
Modified: 2019-11-15 12:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-11-12 22:22:12 UTC
The following can be reproduced with "gen" VCL plugin (not with the default gtk3 one) or in Windows:
- Have more than 6-7 extensions installed, so it doesn't fit in the extension manager dialog.
- Open extension manager.

=> The scrollbar doesn't appear at first. If you click where it's supposed to be on the right, it appears.

Observed using LO 6.3.0.4, 6.4.0.0.alpha1+ (498c2d3944b666c2f016b65903001920db2cb2a4) / Windows & Ubuntu 19.04.
No issue with LO 6.2.0.3.

Bibisected to the backported version of the following commit using repo bibisect-linux-64-6.3. Adding Cc: to Caolán McNamara, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=254c20f025e2b1b93751489b82bef3a20231866a
author		Caolán McNamara <caolanm@redhat.com>	2019-07-17 14:33:04 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-07-17 20:09:35 +0200

scrollbar is outside the widget now, not inside
Comment 1 Commit Notification 2019-11-13 15:11:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/886583645cf8d977f11f527691515c2a4d7c33e8

Resolves: tdf#128758 scrollbars added during scrolledwindow layout

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Caolán McNamara 2019-11-13 15:44:05 UTC
fixed in master, backport to 6-3 in gerrit
Comment 3 Commit Notification 2019-11-15 12:51:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d9ec8e44a2029c77a008a8d0a0337c70e5e680e5

Resolves: tdf#128758 scrollbars added during scrolledwindow layout

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.